This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 164806 - g++4 does not work with system include file <limits> if -pedantic option is given
g++4 does not work with system include file <limits> if -pedantic option is g...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On: 157174
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-08-01 12:05 EDT by Elena Zannoni
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-677
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 07:18:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Elena Zannoni 2005-08-01 12:05:15 EDT
+++ This bug was initially created as a clone of Bug #157174 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
g++4 -D_Pm2_VERSION_=\"0.9-beta3\" -D_Pm2_USER_=\"roebel\" -I. -I../LibSrc   
-O3 -funroll-loops -pthread   -Wall  -pedantic    -o ../obj_/Pm2Sdif.o -c 
Pm2Sdif.cpp 
/usr/include/c++/3.4.3/limits:996: error: floating-point literal cannot appear 
in a constant-expression 
/usr/include/c++/3.4.3/limits:1009: error: field initializer is not constant 
/usr/include/c++/3.4.3/limits:1052: error: floating-point literal cannot 
appearin a constant-expression 
/usr/include/c++/3.4.3/limits:1065: error: field initializer is not constant 
/usr/include/c++/3.4.3/limits:1108: error: floating-point literal cannot 
appearin a constant-expression 
/usr/include/c++/3.4.3/limits:1122: error: field initializer is not constant 
/u/formes/share/include/sdif.h:251: warning: ‘_sdif_h_cvs_revision_’ defined 
but not used 
m 

Version-Release number of selected component (if applicable):
gcc4-c++-4.0.0-0.41.fc3


How reproducible:
Always

Steps to Reproduce:
1. compile a c++ file that includes <limits> and give -pedantic option 
2. 
3. 
   

Actual Results:  see above 

Expected Results:  gcc 3.4 did compile! 

Additional info:
Comment 2 Red Hat Bugzilla 2005-10-05 07:18:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-677.html

Note You need to log in before you can comment on or make changes to this bug.